/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkColor.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1get_1pixel
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint32 result;
	jint _result;
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// get field value
	result = self->pixel;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1set_1pixel
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _pixel
)
{
	GdkColor* self;
	guint32 pixel;

	// convert parameter self
	self = (GdkColor*) _self;

	// convert parameter pixel
	pixel = (guint32) _pixel;

	// set field value
	self->pixel = pixel;

	// cleanup parameter self

	// cleanup parameter pixel
}

JNIEXPORT jchar JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1get_1red
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint16 result;
	jchar _result;
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// get field value
	result = self->red;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jchar) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1set_1red
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jchar _red
)
{
	GdkColor* self;
	guint16 red;

	// convert parameter self
	self = (GdkColor*) _self;

	// convert parameter red
	red = (guint16) _red;

	// set field value
	self->red = red;

	// cleanup parameter self

	// cleanup parameter red
}

JNIEXPORT jchar JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1get_1green
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint16 result;
	jchar _result;
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// get field value
	result = self->green;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jchar) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1set_1green
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jchar _green
)
{
	GdkColor* self;
	guint16 green;

	// convert parameter self
	self = (GdkColor*) _self;

	// convert parameter green
	green = (guint16) _green;

	// set field value
	self->green = green;

	// cleanup parameter self

	// cleanup parameter green
}

JNIEXPORT jchar JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1get_1blue
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint16 result;
	jchar _result;
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// get field value
	result = self->blue;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jchar) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1set_1blue
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jchar _blue
)
{
	GdkColor* self;
	guint16 blue;

	// convert parameter self
	self = (GdkColor*) _self;

	// convert parameter blue
	blue = (guint16) _blue;

	// set field value
	self->blue = blue;

	// cleanup parameter self

	// cleanup parameter blue
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1copy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkColor* result;
	jlong _result;
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// call function
	result = gdk_color_copy(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1free
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// call function
	gdk_color_free(self);

	// cleanup parameter self
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1hash
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	guint result;
	jint _result;
	GdkColor* self;

	// convert parameter self
	self = (GdkColor*) _self;

	// call function
	result = gdk_color_hash(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gdk_GdkColor_gdk_1color_1equal
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _colorb
)
{
	gboolean result;
	jboolean _result;
	GdkColor* self;
	const GdkColor* colorb;

	// convert parameter self
	self = (GdkColor*) _self;

	// convert parameter colorb
	colorb = (const GdkColor*) _colorb;

	// call function
	result = gdk_color_equal(self, colorb);

	// cleanup parameter self

	// cleanup parameter colorb

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
