/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkTrapezoid.h"

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1y1
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->y1;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1y1
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _y1
)
{
	GdkTrapezoid* self;
	double y1;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter y1
	y1 = (double) _y1;

	// set field value
	self->y1 = y1;

	// cleanup parameter self

	// cleanup parameter y1
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x11
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x11;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x11
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x11
)
{
	GdkTrapezoid* self;
	double x11;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x11
	x11 = (double) _x11;

	// set field value
	self->x11 = x11;

	// cleanup parameter self

	// cleanup parameter x11
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x21
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x21;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x21
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x21
)
{
	GdkTrapezoid* self;
	double x21;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x21
	x21 = (double) _x21;

	// set field value
	self->x21 = x21;

	// cleanup parameter self

	// cleanup parameter x21
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1y2
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->y2;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1y2
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _y2
)
{
	GdkTrapezoid* self;
	double y2;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter y2
	y2 = (double) _y2;

	// set field value
	self->y2 = y2;

	// cleanup parameter self

	// cleanup parameter y2
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x12
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x12;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x12
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x12
)
{
	GdkTrapezoid* self;
	double x12;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x12
	x12 = (double) _x12;

	// set field value
	self->x12 = x12;

	// cleanup parameter self

	// cleanup parameter x12
}

JNIEXPORT jdouble JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1get_1x22
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	double result;
	jdouble _result;
	GdkTrapezoid* self;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// get field value
	result = self->x22;

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jdouble) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkTrapezoid_gdk_1trapezoid_1set_1x22
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jdouble _x22
)
{
	GdkTrapezoid* self;
	double x22;

	// convert parameter self
	self = (GdkTrapezoid*) _self;

	// convert parameter x22
	x22 = (double) _x22;

	// set field value
	self->x22 = x22;

	// cleanup parameter self

	// cleanup parameter x22
}
