/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include <glade/glade-xml.h>
#include "bindings_java.h"
#include "org_gnome_glade_GladeXML.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_glade_GladeXML_glade_1xml_1new
(
	JNIEnv* env,
	jclass cls,
	jstring _fname,
	jstring _root,
	jstring _domain
)
{
	GladeXML* result;
	jlong _result;
	const char* fname;
	const char* root;
	const char* domain;

	// convert parameter fname
	fname = (const char*) bindings_java_getString(env, _fname);
	if (fname == NULL) {
		return 0L; // Java Exception already thrown
	}

	// convert parameter root
	if (_root == NULL) {
		root = NULL;
	} else {
		root = (const char*) bindings_java_getString(env, _root);
		if (root == NULL) {
			return 0L; // Java Exception already thrown
		}
	}

	// convert parameter domain
	if (_domain == NULL) {
		domain = NULL;
	} else {
		domain = (const char*) bindings_java_getString(env, _domain);
		if (domain == NULL) {
			return 0L; // Java Exception already thrown
		}
	}

	// call function
	result = glade_xml_new(fname, root, domain);

	// cleanup parameter fname
	bindings_java_releaseString(fname);

	// cleanup parameter root
	if (root != NULL) {
		bindings_java_releaseString(root);
	}

	// cleanup parameter domain
	if (domain != NULL) {
		bindings_java_releaseString(domain);
	}

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_glade_GladeXML_glade_1xml_1new_1from_1buffer
(
	JNIEnv* env,
	jclass cls,
	jstring _buffer,
	jint _size,
	jstring _root,
	jstring _domain
)
{
	GladeXML* result;
	jlong _result;
	const char* buffer;
	int size;
	const char* root;
	const char* domain;

	// convert parameter buffer
	buffer = (const char*) bindings_java_getString(env, _buffer);
	if (buffer == NULL) {
		return 0L; // Java Exception already thrown
	}

	// convert parameter size
	size = (int) _size;

	// convert parameter root
	if (_root == NULL) {
		root = NULL;
	} else {
		root = (const char*) bindings_java_getString(env, _root);
		if (root == NULL) {
			return 0L; // Java Exception already thrown
		}
	}

	// convert parameter domain
	if (_domain == NULL) {
		domain = NULL;
	} else {
		domain = (const char*) bindings_java_getString(env, _domain);
		if (domain == NULL) {
			return 0L; // Java Exception already thrown
		}
	}

	// call function
	result = glade_xml_new_from_buffer(buffer, size, root, domain);

	// cleanup parameter buffer
	bindings_java_releaseString(buffer);

	// cleanup parameter size

	// cleanup parameter root
	if (root != NULL) {
		bindings_java_releaseString(root);
	}

	// cleanup parameter domain
	if (domain != NULL) {
		bindings_java_releaseString(domain);
	}

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_glade_GladeXML_glade_1xml_1get_1widget
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _name
)
{
	GtkWidget* result;
	jlong _result;
	GladeXML* self;
	const char* name;

	// convert parameter self
	self = (GladeXML*) _self;

	// convert parameter name
	name = (const char*) bindings_java_getString(env, _name);
	if (name == NULL) {
		return 0L; // Java Exception already thrown
	}

	// call function
	result = glade_xml_get_widget(self, name);

	// cleanup parameter self

	// cleanup parameter name
	bindings_java_releaseString(name);

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlongArray JNICALL
Java_org_gnome_glade_GladeXML_glade_1xml_1get_1widget_1prefix
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _name
)
{
	GList* result;
	jlongArray _result;
	GladeXML* self;
	const char* name;

	// convert parameter self
	self = (GladeXML*) _self;

	// convert parameter name
	name = (const char*) bindings_java_getString(env, _name);
	if (name == NULL) {
		return NULL; // Java Exception already thrown
	}

	// call function
	result = glade_xml_get_widget_prefix(self, name);

	// cleanup parameter self

	// cleanup parameter name
	bindings_java_releaseString(name);

	// translate return value to JNI type
	_result = (jlongArray) bindings_java_convert_glist_to_jarray(env, result);

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_glade_GladeXML_glade_1xml_1relative_1file
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _filename
)
{
	gchar* result;
	jstring _result;
	GladeXML* self;
	const gchar* filename;

	// convert parameter self
	self = (GladeXML*) _self;

	// convert parameter filename
	filename = (const gchar*) bindings_java_getString(env, _filename);
	if (filename == NULL) {
		return NULL; // Java Exception already thrown
	}

	// call function
	result = glade_xml_relative_file(self, filename);

	// cleanup parameter self

	// cleanup parameter filename
	bindings_java_releaseString(filename);

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// cleanup return value
	if (result != NULL) {
		g_free(result);
	}

	// and finally
	return _result;
}
