/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkCellRenderer.h"

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1get_1size
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _widget,
	jlong _cellArea,
	jintArray _xOffset,
	jintArray _yOffset,
	jintArray _width,
	jintArray _height
)
{
	GtkCellRenderer* self;
	GtkWidget* widget;
	GdkRectangle* cellArea;
	gint* xOffset;
	gint* yOffset;
	gint* width;
	gint* height;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter cellArea
	cellArea = (GdkRectangle*) _cellArea;

	// convert parameter xOffset
	xOffset = (gint*) (*env)->GetIntArrayElements(env, _xOffset, NULL);
	if (xOffset == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter yOffset
	yOffset = (gint*) (*env)->GetIntArrayElements(env, _yOffset, NULL);
	if (yOffset == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter width
	width = (gint*) (*env)->GetIntArrayElements(env, _width, NULL);
	if (width == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter height
	height = (gint*) (*env)->GetIntArrayElements(env, _height, NULL);
	if (height == NULL) {
		return; // Java Exception already thrown
	}

	// call function
	gtk_cell_renderer_get_size(self, widget, cellArea, xOffset, yOffset, width, height);

	// cleanup parameter self

	// cleanup parameter widget

	// cleanup parameter cellArea

	// cleanup parameter xOffset
	(*env)->ReleaseIntArrayElements(env, _xOffset, (jint*)xOffset, 0);

	// cleanup parameter yOffset
	(*env)->ReleaseIntArrayElements(env, _yOffset, (jint*)yOffset, 0);

	// cleanup parameter width
	(*env)->ReleaseIntArrayElements(env, _width, (jint*)width, 0);

	// cleanup parameter height
	(*env)->ReleaseIntArrayElements(env, _height, (jint*)height, 0);
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1render
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jlong _widget,
	jlong _backgroundArea,
	jlong _cellArea,
	jlong _exposeArea,
	jint _flags
)
{
	GtkCellRenderer* self;
	GdkWindow* window;
	GtkWidget* widget;
	GdkRectangle* backgroundArea;
	GdkRectangle* cellArea;
	GdkRectangle* exposeArea;
	GtkCellRendererState flags;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter backgroundArea
	backgroundArea = (GdkRectangle*) _backgroundArea;

	// convert parameter cellArea
	cellArea = (GdkRectangle*) _cellArea;

	// convert parameter exposeArea
	exposeArea = (GdkRectangle*) _exposeArea;

	// convert parameter flags
	flags = (GtkCellRendererState) _flags;

	// call function
	gtk_cell_renderer_render(self, window, widget, backgroundArea, cellArea, exposeArea, flags);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter widget

	// cleanup parameter backgroundArea

	// cleanup parameter cellArea

	// cleanup parameter exposeArea

	// cleanup parameter flags
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1activate
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _event,
	jlong _widget,
	jstring _path,
	jlong _backgroundArea,
	jlong _cellArea,
	jint _flags
)
{
	gboolean result;
	jboolean _result;
	GtkCellRenderer* self;
	GdkEvent* event;
	GtkWidget* widget;
	const gchar* path;
	GdkRectangle* backgroundArea;
	GdkRectangle* cellArea;
	GtkCellRendererState flags;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter event
	event = (GdkEvent*) _event;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter path
	path = (const gchar*) bindings_java_getString(env, _path);
	if (path == NULL) {
		return  JNI_FALSE; // Java Exception already thrown
	}

	// convert parameter backgroundArea
	backgroundArea = (GdkRectangle*) _backgroundArea;

	// convert parameter cellArea
	cellArea = (GdkRectangle*) _cellArea;

	// convert parameter flags
	flags = (GtkCellRendererState) _flags;

	// call function
	result = gtk_cell_renderer_activate(self, event, widget, path, backgroundArea, cellArea, flags);

	// cleanup parameter self

	// cleanup parameter event

	// cleanup parameter widget

	// cleanup parameter path
	bindings_java_releaseString(path);

	// cleanup parameter backgroundArea

	// cleanup parameter cellArea

	// cleanup parameter flags

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1start_1editing
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _event,
	jlong _widget,
	jstring _path,
	jlong _backgroundArea,
	jlong _cellArea,
	jint _flags
)
{
	GtkCellEditable* result;
	jlong _result;
	GtkCellRenderer* self;
	GdkEvent* event;
	GtkWidget* widget;
	const gchar* path;
	GdkRectangle* backgroundArea;
	GdkRectangle* cellArea;
	GtkCellRendererState flags;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter event
	event = (GdkEvent*) _event;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter path
	path = (const gchar*) bindings_java_getString(env, _path);
	if (path == NULL) {
		return 0L; // Java Exception already thrown
	}

	// convert parameter backgroundArea
	backgroundArea = (GdkRectangle*) _backgroundArea;

	// convert parameter cellArea
	cellArea = (GdkRectangle*) _cellArea;

	// convert parameter flags
	flags = (GtkCellRendererState) _flags;

	// call function
	result = gtk_cell_renderer_start_editing(self, event, widget, path, backgroundArea, cellArea, flags);

	// cleanup parameter self

	// cleanup parameter event

	// cleanup parameter widget

	// cleanup parameter path
	bindings_java_releaseString(path);

	// cleanup parameter backgroundArea

	// cleanup parameter cellArea

	// cleanup parameter flags

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1set_1fixed_1size
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _width,
	jint _height
)
{
	GtkCellRenderer* self;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_cell_renderer_set_fixed_size(self, width, height);

	// cleanup parameter self

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1get_1fixed_1size
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jintArray _width,
	jintArray _height
)
{
	GtkCellRenderer* self;
	gint* width;
	gint* height;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter width
	width = (gint*) (*env)->GetIntArrayElements(env, _width, NULL);
	if (width == NULL) {
		return; // Java Exception already thrown
	}

	// convert parameter height
	height = (gint*) (*env)->GetIntArrayElements(env, _height, NULL);
	if (height == NULL) {
		return; // Java Exception already thrown
	}

	// call function
	gtk_cell_renderer_get_fixed_size(self, width, height);

	// cleanup parameter self

	// cleanup parameter width
	(*env)->ReleaseIntArrayElements(env, _width, (jint*)width, 0);

	// cleanup parameter height
	(*env)->ReleaseIntArrayElements(env, _height, (jint*)height, 0);
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkCellRenderer_gtk_1cell_1renderer_1stop_1editing
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _canceled
)
{
	GtkCellRenderer* self;
	gboolean canceled;

	// convert parameter self
	self = (GtkCellRenderer*) _self;

	// convert parameter canceled
	canceled = (gboolean) _canceled;

	// call function
	gtk_cell_renderer_stop_editing(self, canceled);

	// cleanup parameter self

	// cleanup parameter canceled
}
