/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkWidgetFlags.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1toplevel
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_TOPLEVEL;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1no_1window
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_NO_WINDOW;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1realized
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_REALIZED;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1mapped
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_MAPPED;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1visible
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_VISIBLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1sensitive
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_SENSITIVE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1parent_1sensitive
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_PARENT_SENSITIVE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1can_1focus
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_CAN_FOCUS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1has_1focus
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_HAS_FOCUS;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1can_1default
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_CAN_DEFAULT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1has_1default
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_HAS_DEFAULT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1has_1grab
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_HAS_GRAB;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1rc_1style
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RC_STYLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1composite_1child
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_COMPOSITE_CHILD;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1no_1reparent
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_NO_REPARENT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1app_1paintable
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_APP_PAINTABLE;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1receives_1default
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_RECEIVES_DEFAULT;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1double_1buffered
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_DOUBLE_BUFFERED;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkWidgetFlags_get_1ordinal_1no_1show_1all
(
	JNIEnv* env,
	jclass cls
)
{
	return (jint) GTK_NO_SHOW_ALL;
}
